aboutsummaryrefslogtreecommitdiffstats
path: root/run.sh
diff options
context:
space:
mode:
authorGergő J. Miklós2019-05-12 12:37:47 +0200
committerGergő J. Miklós2019-05-12 12:37:47 +0200
commit7893fa123087328d5721fa27e9ee45130ba5da96 (patch)
treea8debf810075962f1ec2a697b313ad5fc1ba82a2 /run.sh
parent5cbc1bcd61ccd50b3c37f3f70083afca13c9a175 (diff)
downloadi2sensors-7893fa123087328d5721fa27e9ee45130ba5da96.tar.gz
i2sensors-7893fa123087328d5721fa27e9ee45130ba5da96.zip
hmc5883 added + some refactoring
Diffstat (limited to 'run.sh')
-rw-r--r--run.sh21
1 files changed, 12 insertions, 9 deletions
diff --git a/run.sh b/run.sh
index c78d362..013205c 100644
--- a/run.sh
+++ b/run.sh
@@ -1,17 +1,20 @@
#!/bin/bash
+make
+if [ "$?" == "0" ]; then
+ #rsync -aHv -q -e "ssh" build/i2sensors-arm root@cb2:/tmp/i2sensors
+ scp build/i2sensors-armhf root@cb2:/tmp/i2sensors
-make
-
-#rsync -aHv -q -e "ssh" build/i2sensors-arm root@cb2:/tmp/i2sensors
-scp build/i2sensors-armhf root@cb2:/tmp/i2sensors
+ ssh root@cb2 '/tmp/i2sensors read_one 1 lm75 0x49 0,111.1'
+ echo
+ ssh root@cb2 '/tmp/i2sensors read_all 1 lm75 0x49 '
+ #ssh root@cb2 '/tmp/i2sensors list_all 1 lm75 0x49'
-ssh root@cb2 '/tmp/i2sensors read_one 1 lm75 0x49 0,111.1'
-echo
-ssh root@cb2 '/tmp/i2sensors read_all 1 lm75 0x49 '
-#ssh root@cb2 '/tmp/i2sensors list_all 1 lm75 0x49'
+ exit 0
-exit 0 \ No newline at end of file
+else
+ exit 1
+fi \ No newline at end of file